if not nanoTalk then return end


---------------------
-- Local Namespace --
---------------------
local slider = LibStub("tekKonfig-Slider")
--local button = LibStub("tekKonfig-Button")
local SPACE = 10


------------------
-- Config Frame --
------------------
local frame = CreateFrame("Frame", "nanoTalkConfig", UIParent)
frame.name = "nanoTalk"
frame.okay = function(self)
		nanoTalk:ConfigUpdate()
	     end

frame:Hide()
frame:SetScript("OnShow",
  function(frame)
     local config = nanoTalk.config

     local title, subtitle = LibStub("tekKonfig-Heading").new(frame, "nanoTalk "..GetAddOnMetadata("nanoTalk", "Version"), "Configuration settings.")
 
     local talktime, talktimetext, talktimecont = slider.new(frame, string.format("Conversation Timer: %dm", config.TalkTime / 60),
							     1, 10, "TOPLEFT", subtitle, "BOTTOMLEFT", 0, -SPACE)
     talktime.tiptext = "How many minutes you will be considered to be in a conversation."
     talktime:SetValue(config.TalkTime / 60)
     talktime:SetValueStep(1)
     talktime:SetScript("OnValueChanged",
	function(self)
	   config.TalkTime = (self:GetValue() * 60)
	   talktimetext:SetFormattedText("Conversation Timer: %dm", config.TalkTime / 60)
	end
	)
 
     local tracktime, tracktimetext, tracktimecont = slider.new(frame, string.format("Tracking Timer: %dm", config.TrackTime / 60),
								1, 60, "TOPLEFT", talktime, "BOTTOMLEFT", 0, -SPACE)
     tracktime.tiptext = "How many minutes to track people who have sent you a message."
     tracktime:SetValue(config.TrackTime / 60)
     tracktime:SetValueStep(1)
     tracktime:SetScript("OnValueChanged",
	function(self)
	   config.TrackTime = (self:GetValue() * 60)
	   tracktimetext:SetFormattedText("Tracking Timer: %dm", config.TrackTime / 60)
	end
     )

     local tracknum, tracknumtext, tracknumcont = slider.new(frame, string.format("People to Track: %d", config.TrackNum),
							     0, 30, "TOPLEFT", tracktime, "BOTTOMLEFT", 0, -SPACE)
     tracknum.tiptext = "Maximum number of people to track."
     tracknum:SetValue(config.TrackNum)
     tracknum:SetValueStep(1)
     tracknum:SetScript("OnValueChanged",
	function(self)
	   config.TrackNum = self:GetValue()
	   tracknumtext:SetFormattedText("People to Track: %d", config.TrackNum)
	end
     )

     local chatnotify = LibStub("tekKonfig-Checkbox").new(frame, nil, "Chat Notification", "TOPLEFT", tracknum, "BOTTOMLEFT", -2, -SPACE)
     chatnotify.tiptext = "Notify others when you are in a conversation."
     chatnotify:SetChecked(config.ChatNotify)
     chatnotify:SetScript("OnClick",
	function(self)
	   config.ChatNotify = not config.ChatNotify
	end
     )

     local afknotify = LibStub("tekKonfig-Checkbox").new(frame, nil, "AFK Notification", "TOPLEFT", chatnotify, "BOTTOMLEFT", -2, -SPACE)
     afknotify.tiptext = "Notify others when you are AFK."
     afknotify:SetChecked(config.NotifyAFK)
     afknotify:SetScript("OnClick",
	function(self)
	   config.NotifyAFK = not config.NotifyAFK
	end
     )
     frame:SetScript("OnShow", nil)
  end
)


nanoTalk.configframe = frame
InterfaceOptions_AddCategory(frame)


LibStub("tekKonfig-AboutPanel").new("nanoTalk", "nanoTalk")
